Bug 433731 - If dmidecode package is installed on an ia64 server, INFO test fails
If dmidecode package is installed on an ia64 server, INFO test fails
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
ia64 Linux
low Severity medium
: ---
: ---
Assigned To: Greg Nichols
: 415151 444883 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2008-02-20 20:44 EST by Glen A. Foster
Modified: 2010-10-22 18:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0493
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-20 13:51:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Cert-results package (NOT A FORMAL SUBMITTAL) (828.92 KB, application/octet-stream)
2008-02-20 20:44 EST, Glen A. Foster
no flags Details

  None (edit)
Description Glen A. Foster 2008-02-20 20:44:49 EST
Description of problem: I inadvertently had the dmidecode package installed on a
domU -- and it was causing the info test to run "dmidecode", and that caused the
test to fail because I got the following errors from dmidecode (expected on an
ia64 box):

/sys/firmware/efi/systab: SMBIOS entry point missing
# dmidecode 2.7

... if I remove the dmidecode package, it passes -- so there probably needs to
be a check around the part that executes dmicode that also tests to see if
dmidecode is really _supported_ on the current architecture.  It's NOT on ia64
as far as I can tell.

Version-Release number of selected component (if applicable):

How reproducible: 100%

Additional info: I'll attach an RPM of HTS results whereby the first INFO test
fails (while all the other cert tests pass) and then second run with the
dmidecode package removed and it passes -- you can check the sosreport output to
validate this difference.

NOTE: the attached package IS NOT a formal certification submittal - it is
provided to demonstrate the defect ONLY.
Comment 1 Glen A. Foster 2008-02-20 20:44:49 EST
Created attachment 295476 [details]
Cert-results package (NOT A FORMAL SUBMITTAL)
Comment 2 Greg Nichols 2008-02-27 09:53:25 EST
Fixed in R4.

HTS calls dmidecode to provide hardware information for submission.   If
dmidecode returns an error, it is not an indicator of hardware incompatibility.
Comment 3 Greg Nichols 2008-03-10 13:28:04 EDT
*** Bug 415151 has been marked as a duplicate of this bug. ***
Comment 5 Greg Nichols 2008-05-01 12:46:15 EDT
*** Bug 444883 has been marked as a duplicate of this bug. ***
Comment 8 NIWA Hideyuki 2008-06-08 21:56:15 EDT

I confirmed that INFO test passed in the full virtualized guest if dmidecode is
(I used hts-5.2-13)

Thank you for fix bug.

Hideto Yamada.
Comment 11 errata-xmlrpc 2008-06-20 13:51:50 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.